Bug 272162 - Placement Policy 'under mouse'
Summary: Placement Policy 'under mouse'
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: core (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: 4.9
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-01 16:31 UTC by Uwe Dippel
Modified: 2012-04-20 22:00 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Uwe Dippel 2011-05-01 16:31:13 UTC
Version:           unspecified (using KDE 4.6.2) 
OS:                Linux

Windows Placement as of now has under Windows Bahaviour -> Advanced -> Placements like Centered, Smart, Cascase, Random ...
What I would want is 'under mouse'. So I start an application, and while it loads I move the mouse to where I want it, and then it will be placed 'under mouse'.
You may discuss if this will mean 'mouse cursor is at the center of the future window', or pointing to its upper right corner; I don't care.
But I have a relatively large monitor, and want smaller windows, like Gimp, Konsole, Dia, and what not to land on the desktop where I want them. And that might change from activity to activity, from desktop to desktop.


Reproducible: Always
Comment 1 Thomas Lübking 2012-04-06 20:42:43 UTC
FTR: the rules support such (that's a bit odd, why is it not available in the global setting?)
Comment 2 Martin Flöser 2012-04-06 20:48:20 UTC
It seems not to be allowed to be configured:
In
Placement::Policy Placement::policyFromString(const QString& policy, bool no_special)
we have:
else if (policy == "UnderMouse" && !no_special)

and in options.cpp it is read as
m_placement = Placement::policyFromString(config.readEntry("Placement"), true);

I will try whether git blame can enlighten me what no_special means...
Comment 3 Martin Flöser 2012-04-06 20:51:02 UTC
(In reply to comment #2)
> I will try whether git blame can enlighten me what no_special means...
as expected... branches/work/kwin_composite becomes new trunk kwin.
Comment 4 Thomas Lübking 2012-04-06 21:00:52 UTC
grep says no_special is just a flag whether policyFromString is called from rules (are special) or not - i understang the limitation for "default" (what's the default then ;-) and "onMainWindow" (makes no sense in many cases) but it seems entirely high handed for under mouse to me.
Comment 5 Thomas Lübking 2012-04-20 22:00:03 UTC
Git commit 36c6d9ef8f1a49557a469de2e33c75500381df27 by Thomas Lübking.
Committed on 17/04/2012 at 15:25.
Pushed by luebking into branch 'master'.

allow "under mouse" as regular placement strategy
REVIEW: 104650

M  +15   -47   kwin/kcmkwin/kwinoptions/windows.cpp
M  +0    -12   kwin/kcmkwin/kwinoptions/windows.h
M  +1    -1    kwin/placement.cpp

http://commits.kde.org/kde-workspace/36c6d9ef8f1a49557a469de2e33c75500381df27